[med-svn] r23826 - in trunk/packages/python-cogent/trunk/debian: . tests
Nadiya Sitdykova
rovenskasa-guest at moszumanska.debian.org
Fri Jun 16 06:41:22 UTC 2017
Author: rovenskasa-guest
Date: 2017-06-16 06:41:21 +0000 (Fri, 16 Jun 2017)
New Revision: 23826
Added:
trunk/packages/python-cogent/trunk/debian/README.test
trunk/packages/python-cogent/trunk/debian/docs
trunk/packages/python-cogent/trunk/debian/tests/
trunk/packages/python-cogent/trunk/debian/tests/control
trunk/packages/python-cogent/trunk/debian/tests/run-unit-test
Modified:
trunk/packages/python-cogent/trunk/debian/changelog
Log:
add autopkgtest test-suite (without tests known to fail)
Added: trunk/packages/python-cogent/trunk/debian/README.test
===================================================================
--- trunk/packages/python-cogent/trunk/debian/README.test (rev 0)
+++ trunk/packages/python-cogent/trunk/debian/README.test 2017-06-16 06:41:21 UTC (rev 23826)
@@ -0,0 +1,18 @@
+Notes on how this package can be tested.
+________________________________________
+
+This package can be tested by executing
+
+ sh run-unit-test
+
+in order to confirt its integrity.
+
+
+
+
+If you have an error :
+
+"ApplicationError: Error constructing CommandLineAppResult"
+
+check that you are running tests under user,
+who has rights to create files in /tmp/ directory
Modified: trunk/packages/python-cogent/trunk/debian/changelog
===================================================================
--- trunk/packages/python-cogent/trunk/debian/changelog 2017-06-13 10:40:37 UTC (rev 23825)
+++ trunk/packages/python-cogent/trunk/debian/changelog 2017-06-16 06:41:21 UTC (rev 23826)
@@ -1,3 +1,12 @@
+python-cogent (1.9-10) UNRELEASED; urgency=medium
+
+ * Team upload.
+
+ [Nadiya Sitdykova]
+ * Add autopkgtest test-suite (without tests known to fail)
+
+ -- Naidya Sitdykova <rovenskasa at gmail.com> Thu, 15 Jun 2017 23:26:56 -0400
+
python-cogent (1.9-9) unstable; urgency=medium
* Skip test with incompatibilities to Numpy 1.12.0~b1
Added: trunk/packages/python-cogent/trunk/debian/docs
===================================================================
--- trunk/packages/python-cogent/trunk/debian/docs (rev 0)
+++ trunk/packages/python-cogent/trunk/debian/docs 2017-06-16 06:41:21 UTC (rev 23826)
@@ -0,0 +1,3 @@
+tests
+debian/tests/run-unit-test
+debian/README.test
Added: trunk/packages/python-cogent/trunk/debian/tests/control
===================================================================
--- trunk/packages/python-cogent/trunk/debian/tests/control (rev 0)
+++ trunk/packages/python-cogent/trunk/debian/tests/control 2017-06-16 06:41:21 UTC (rev 23826)
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr
Added: trunk/packages/python-cogent/trunk/debian/tests/run-unit-test
===================================================================
--- trunk/packages/python-cogent/trunk/debian/tests/run-unit-test (rev 0)
+++ trunk/packages/python-cogent/trunk/debian/tests/run-unit-test 2017-06-16 06:41:21 UTC (rev 23826)
@@ -0,0 +1,81 @@
+#!/bin/sh -e
+
+pkg=python-cogent
+
+if [ "$ADTTMP" = "" ] ; then
+ ADTTMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+ trap "rm -rf $ADTTMP" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cd $ADTTMP
+
+BUILDARCH=$(dpkg-architecture -qDEB_BUILD_ARCH)
+
+FAILED_TESTS="test_infernal \
+ test_mothur \
+ test_parsinsert \
+ test_raxml_v730 \
+ test_rtax \
+ test_clustalw \
+ test_mafft \
+ test_unifrac \
+ test_seqsim.test_analysis \
+ test_seqsim.test_usage"
+
+ONLYAMD64_TESTS="test_bwa"
+
+# There are tests failing on certain architectures
+# We need to decide between not shipping cogent there or hiding
+# our eyes from these failures. See README.source for further
+# explanation.
+FAIL_ON_ARMEL_TESTS="test_core.test_profile"
+
+
+FAIL_ON_PPC64_MIPS64EL="test_core.test_tree"
+
+FAIL_ON_I386_TESTS="test_maths.test_stats.test_test \
+ test_seqsim.test_sequence_generators"
+
+FAIL_ON_PPC64_TESTS=test_app.test_util
+
+FAIL_ON_S390X_TESTS=test_maths.test_optimisers
+
+FAIL_ON_MIPS_TESTS=test_seqsim.test_sequence_generators
+
+
+
+cp -a /usr/share/doc/${pkg}/tests/ .
+gunzip -r *
+
+
+# exclude tests known to fail
+ for tst in $FAILED_TESTS ; do sed -i "/$tst/d" tests/alltests.py ; done
+
+# avoid amd64 only tools on other architectures
+if [ "$BUILDARCH" = "amd64" ]; then
+ echo "bwa can be tested on amd64 arch"
+else
+ for tst in $ONLYAMD64_TESTS ; do sed -i "/$tst/d" tests/alltests.py ; done
+if [ "$BUILDARCH" = "$(filter $BUILDARCH, mips64el ppc64el ppc64)" ]; then
+ for tst in $FAIL_ON_PPC64_MIPS64EL ; do sed -i "/$tst/d" tests/alltests.py ; done
+fi
+if [ "$BUILDARCH" = "armel" ] ; then
+ for tst in $FAIL_ON_ARMEL_TESTS ; do sed -i "/$tst/d" tests/alltests.py ; done
+fi
+if [ "$BUILDARCH" = "ppc64" ] ; then
+ for tst in $FAIL_ON_PPC64_TESTS ; do sed -i "/$tst/d" tests/alltests.py ; done
+fi
+if [ "$BUILDARCH" = "s390x" ] ; then
+ for tst in $FAIL_ON_S390X_TESTS ; do sed -i "/$tst/d" tests/alltests.py ; done
+fi
+if [ "$BUILDARCH" = "mips" ] ; then
+ for tst in $FAIL_ON_MIPS_TESTS ; do sed -i "/$tst/d" tests/alltests.py ; done
+fi
+if [ "$BUILDARCH" = "$(filter $BUILDARCH, i386 kfreebsd-i386)" ] ; then
+ for tst in $FAIL_ON_I386_TESTS ; do sed -i "/$tst/d" tests/alltests.py ; done
+fi
+fi
+
+cd tests
+echo "lolo"
+python alltests.py
More information about the debian-med-commit
mailing list